Show / Hide Table of Contents

# EnumeratorAsyncExtensions Class

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public static class EnumeratorAsyncExtensions

##### Inheritance

System.Object → EnumeratorAsyncExtensions

### Members

#### Methods

Name | Description
--- | ---
GetAwaiter<T>(T) |
ToUniTask(IEnumerator, PlayerLoopTiming, CancellationToken) |
WithCancellation(IEnumerator, CancellationToken) |

### Methods

#### GetAwaiter<T>(T)

    public static UniTask.Awaiter GetAwaiter<T>(this T enumerator)
        where T : IEnumerator

##### Parameters

`enumerator` T

##### Returns

UniTask.Awaiter

##### Type Parameters

`T`

#### ToUniTask(IEnumerator, PlayerLoopTiming, CancellationToken)

    public static UniTask ToUniTask(this IEnumerator enumerator, PlayerLoopTiming timing = PlayerLoopTiming.Update, CancellationToken cancellationToken = default(CancellationToken))

##### Parameters

`enumerator` System.Collections.Generic.IEnumerator
`timing` PlayerLoopTiming
`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask

#### WithCancellation(IEnumerator, CancellationToken)

    public static UniTask WithCancellation(this IEnumerator enumerator, CancellationToken cancellationToken)

##### Parameters

`enumerator` System.Collections.Generic.IEnumerator
`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask